Skip to content

Get department information

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get department information through organization code and department ID or department code, and you can get custom data.

Method name

ManagementClient.getDepartment

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
organizationCodestringNo-Organization codesteamory
departmentIdstringNo-Department ID, pass root for the root department. Either departmentId or departmentCode must be passed.root
departmentCodestringNo-Department code. Either departmentId or departmentCode must be passed.example
departmentIdTypestringNodepartment_idThe type of department ID used in this calldepartment_id
withCustomDatabooleanNo-Whether to obtain custom datatrue
flatCustomDatabooleanNo-Whether to flatten extended fields
tenantIdstringNo-Tenant ID623c20b2a062aaaaf41b17da

Example code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getDepartment({
    // Replace organization code
    organizationCode: "steamory",
    // Replace department ID
    departmentId: "root",
    departmentIdType: "department_id",
    withCustomData: true,
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: DepartmentSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a DepartmentDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "organizationCode": "steamory",
    "departmentId": "60b49eb83fd80adb96f26e68",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z",
    "openDepartmentId": "ou_7dab8a3d3cdccxxxxxx777c7ad535d62",
    "name": "Development Department",
    "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
    "description": "Technology R&D Department",
    "parentDepartmentId": "6229c4deb3e4d8a20b6021ff",
    "code": "6229c4deb3e4d8a20b6021ff",
    "parentDepartmentCode": "test",
    "membersCount": 11,
    "hasChildren": true,
    "i18n": {
      "name": {
        "zh-CN": {
          "enabled": false,
          "value": "Chinese"
        },
        "en-US": {
          "enabled": false,
          "value": "English"
        }
      }
    },
    "customData": {
      "icon": "https://example.com/logo"
    },
    "postIdList": "[\"xxx\"]",
    "status": "false",
    "allow": "[\"xxx\"]"
  }
}

Data structure

DepartmentDto

NameTypeIs it required?DescriptionSample value
organizationCodestringYesOrganization Code (organizationCode)steamory
departmentIdstringYesDepartment system ID (automatically generated by the GenAuth system, cannot be modified)60b49eb83fd80adb96f26e68
createdAtstringYesDepartment creation time2022-07-03T03:20:30.000Z
updatedAtstringnomodification time2022-07-03T03:20:30.000Z
openDepartmentIdstringnocustom department ID, used to store custom IDsou_7dab8a3d3cdccxxxxxx777c7ad535d62
namestringyesdepartment nameDevelopment Department
leaderUserIdsarraynodepartment head ID["60b49eb83fd80adb96f26e68"]
descriptionstringnodepartment descriptionTechnical R&D Department
parentDepartmentIdstringyesparent department ID, if it is a root department, pass root6229c4deb3e4d8a20b6021ff
codestringnoDepartment identification code6229c4deb3e4d8a20b6021ff
parentDepartmentCodestringyesParent department codetest
membersCountnumberyesNumber of department members (only direct members)11
hasChildrenbooleanyesWhether to include child departmentstrue
isVirtualNodebooleanno

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "organizationCode": "steamory",
    "departmentId": "60b49eb83fd80adb96f26e68",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z",
    "openDepartmentId": "ou_7dab8a3d3cdccxxxxxx777c7ad535d62",
    "name": "Development Department",
    "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
    "description": "Technology R&D Department",
    "parentDepartmentId": "6229c4deb3e4d8a20b6021ff",
    "code": "6229c4deb3e4d8a20b6021ff",
    "parentDepartmentCode": "test",
    "membersCount": 11,
    "hasChildren": true,
    "i18n": {
      "name": {
        "zh-CN": {
          "enabled": false,
          "value": "Chinese"
        },
        "en-US": {
          "enabled": false,
          "value": "English"
        }
      }
    },
    "customData": {
      "icon": "https://example.com/logo"
    },
    "postIdList": "[\"xxx\"]",
    "status": "false",
    "allow": "[\"xxx\"]"
  }
}

Data structure

DepartmentDto

NameTypeIs it required?DescriptionSample value
organizationCodestringYesOrganization Code (organizationCode)steamory
departmentIdstringYesDepartment system ID (automatically generated by the GenAuth system, cannot be modified)60b49eb83fd80adb96f26e68
createdAtstringYesDepartment creation time2022-07-03T03:20:30.000Z
updatedAtstringnomodification time2022-07-03T03:20:30.000Z
openDepartmentIdstringnocustom department ID, used to store custom IDsou_7dab8a3d3cdccxxxxxx777c7ad535d62
namestringyesdepartment nameDevelopment Department
leaderUserIdsarraynodepartment head ID["60b49eb83fd80adb96f26e68"]
descriptionstringnodepartment descriptionTechnical R&D Department
parentDepartmentIdstringyesparent department ID, if it is a root department, pass root6229c4deb3e4d8a20b6021ff
codestringnoDepartment identification code6229c4deb3e4d8a20b6021ff
parentDepartmentCodestringyesParent department codetest
membersCountnumberyesNumber of department members (only direct members)11
hasChildrenbooleanyesWhether to include child departmentstrue
isVirtualNodebooleanno

Agent infrastructure for identity, memory, and web action.